Package com.xebialabs.xlrelease.domain

## Class UserToken

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.UserToken

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class UserToken
      extends BaseConfigurationItem

  This class represents a personal access token data for the user. Table also has token hash value which is not added in domain class to prevent any potential leak in logs, events etc.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserToken()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `ciUid()` |
    `void` | `ciUid_$eq​(java.lang.Integer x$1)` |
    `java.util.Date` | `createdDate()` |
    `void` | `createdDate_$eq​(java.util.Date x$1)` |
    `java.util.Date` | `expiryDate()` |
    `void` | `expiryDate_$eq​(java.util.Date x$1)` |
    `boolean` | `expiryNotified()` |
    `void` | `expiryNotified_$eq​(boolean x$1)` |
    `java.lang.Integer` | `getCiUid()` |
    `java.util.Date` | `getCreatedDate()` |
    `java.util.Date` | `getExpiryDate()` |
    `boolean` | `getExpiryNotified()` |
    `java.util.Date` | `getLastUsedDate()` |
    `java.lang.String` | `getTokenNote()` |
    `java.lang.String` | `getUsername()` |
    `boolean` | `isExpired()` |
    `java.util.Date` | `lastUsedDate()` |
    `void` | `lastUsedDate_$eq​(java.util.Date x$1)` |
    `void` | `setCiUid​(java.lang.Integer x$1)` |
    `void` | `setCreatedDate​(java.util.Date x$1)` |
    `void` | `setExpiryDate​(java.util.Date x$1)` |
    `void` | `setExpiryNotified​(boolean x$1)` |
    `void` | `setLastUsedDate​(java.util.Date x$1)` |
    `void` | `setTokenNote​(java.lang.String x$1)` |
    `void` | `setUsername​(java.lang.String x$1)` |
    `java.lang.String` | `token()` |
    `void` | `token_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `tokenNote()` |
    `void` | `tokenNote_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserToken

          public UserToken()

  - ### Method Detail

    - #### ciUid

          public java.lang.Integer ciUid()

    - #### ciUid_$eq

          public void ciUid_$eq​(java.lang.Integer x$1)

    - #### createdDate

          public java.util.Date createdDate()

    - #### createdDate_$eq

          public void createdDate_$eq​(java.util.Date x$1)

    - #### expiryDate

          public java.util.Date expiryDate()

    - #### expiryDate_$eq

          public void expiryDate_$eq​(java.util.Date x$1)

    - #### expiryNotified

          public boolean expiryNotified()

    - #### expiryNotified_$eq

          public void expiryNotified_$eq​(boolean x$1)

    - #### getCiUid

          public java.lang.Integer getCiUid()

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

    - #### getExpiryDate

          public java.util.Date getExpiryDate()

    - #### getExpiryNotified

          public boolean getExpiryNotified()

    - #### getLastUsedDate

          public java.util.Date getLastUsedDate()

    - #### getTokenNote

          public java.lang.String getTokenNote()

    - #### getUsername

          public java.lang.String getUsername()

    - #### isExpired

          public boolean isExpired()

    - #### lastUsedDate

          public java.util.Date lastUsedDate()

    - #### lastUsedDate_$eq

          public void lastUsedDate_$eq​(java.util.Date x$1)

    - #### setCiUid

          public void setCiUid​(java.lang.Integer x$1)

    - #### setCreatedDate

          public void setCreatedDate​(java.util.Date x$1)

    - #### setExpiryDate

          public void setExpiryDate​(java.util.Date x$1)

    - #### setExpiryNotified

          public void setExpiryNotified​(boolean x$1)

    - #### setLastUsedDate

          public void setLastUsedDate​(java.util.Date x$1)

    - #### setTokenNote

          public void setTokenNote​(java.lang.String x$1)

    - #### setUsername

          public void setUsername​(java.lang.String x$1)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseConfigurationItem`

    - #### token

          public java.lang.String token()

    - #### tokenNote

          public java.lang.String tokenNote()

    - #### tokenNote_$eq

          public void tokenNote_$eq​(java.lang.String x$1)

    - #### token_$eq

          public void token_$eq​(java.lang.String x$1)

    - #### username

          public java.lang.String username()

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)